diff --git a/benchmarks/backgrounds/synchrotron.sh b/benchmarks/backgrounds/synchrotron.sh
index bae4ec73d7cffc1b381d762517ee1e07c09c90c9..de796f4d0acc1ce88a529d24bc2949915b7eaafe 100644
--- a/benchmarks/backgrounds/synchrotron.sh
+++ b/benchmarks/backgrounds/synchrotron.sh
@@ -91,6 +91,7 @@ echo "DETECTOR    = ${DETECTOR}"
 ## Step 1. Get the data
 if [[ -n "${DATA_INIT}" || -n "${DO_ALL}" ]] ; then
   mc -C . config host add S3 https://dtn01.sdcc.bnl.gov:9000 $S3_ACCESS_KEY $S3_SECRET_KEY
+  set +o pipefail
   mc -C . head -n $((2+5*${JUGGLER_N_EVENTS})) --insecure ${DATA_URL} | sanitize_hepmc3 > ${JUGGLER_MC_FILE}
   if [[ "$?" -ne "0" ]] ; then
     echo "Failed to download hepmc files"
@@ -126,7 +127,7 @@ if [[ -n "${DO_REC}" || -n "${DO_ALL}" ]] ; then
   fi
 
   if [[ ${RECO} == "juggler" ]] ; then
-    gaudirun.py options/reconstruction.py
+    gaudirun.py options/reconstruction.py || [ $? -eq 4 ]
     if [ "$?" -ne "0" ] ; then
       echo "ERROR running juggler"
       exit 1
diff --git a/benchmarks/dis/dis.sh b/benchmarks/dis/dis.sh
index b3851707401a358932f89c6798f5541b754f4360..243de8f3b7123ad0d124fb268d7096d2ec2d867d 100755
--- a/benchmarks/dis/dis.sh
+++ b/benchmarks/dis/dis.sh
@@ -91,7 +91,7 @@ fi
 if [[ ${RECO} == "juggler" ]] ; then
   export JUGGLER_SIM_FILE=${SIM_FILE}
   export JUGGLER_REC_FILE=${REC_FILE}
-  gaudirun.py options/reconstruction.py
+  gaudirun.py options/reconstruction.py || [ $? -eq 4 ]
   if [ "$?" -ne "0" ] ; then
     echo "ERROR running juggler"
     exit 1
diff --git a/benchmarks/dvcs/dvcs.sh b/benchmarks/dvcs/dvcs.sh
index deb95f0b3c4a65428a800465961b9e2b38dce55b..1bb063e130c511cc51dd1d524f4ee4281428f274 100644
--- a/benchmarks/dvcs/dvcs.sh
+++ b/benchmarks/dvcs/dvcs.sh
@@ -91,6 +91,7 @@ echo "DETECTOR    = ${DETECTOR}"
 ## Step 1. Get the data
 if [[ -n "${DATA_INIT}" || -n "${DO_ALL}" ]] ; then
   mc -C . config host add S3 https://dtn01.sdcc.bnl.gov:9000 $S3_ACCESS_KEY $S3_SECRET_KEY
+  set +o pipefail
   mc -C . head  -n 1004 --insecure ${DATA_URL} |  sanitize_hepmc3 > "${JUGGLER_MC_FILE}"
   if [[ "$?" -ne "0" ]] ; then
     echo "Failed to download hepmc file"
@@ -126,7 +127,7 @@ if [[ -n "${DO_REC}" || -n "${DO_ALL}" ]] ; then
   fi
 
   if [[ ${RECO} == "juggler" ]] ; then
-    gaudirun.py options/reconstruction.py
+    gaudirun.py options/reconstruction.py || [ $? -eq 4 ]
     if [ "$?" -ne "0" ] ; then
       echo "ERROR running juggler"
       exit 1
diff --git a/benchmarks/dvmp/dvmp.sh b/benchmarks/dvmp/dvmp.sh
index 96274fcb7f8d416899fc0e6e753bdafa8dcf79f1..8fba7f3d3a3154ea779a242061e8c2730ea1764d 100755
--- a/benchmarks/dvmp/dvmp.sh
+++ b/benchmarks/dvmp/dvmp.sh
@@ -95,7 +95,7 @@ if [ ${RECO} == "eicrecon" ] ; then
 fi
 
 if [[ ${RECO} == "juggler" ]] ; then
-  gaudirun.py options/reconstruction.py
+  gaudirun.py options/reconstruction.py || [ $? -eq 4 ]
   if [ "$?" -ne "0" ] ; then
     echo "ERROR running juggler"
     exit 1
diff --git a/benchmarks/single/reconstruct.sh b/benchmarks/single/reconstruct.sh
index 2e95c83c926a2a12a9bc3145faae6c54a06e42a1..bfcbed6ed6d6cb6ea2dcb048c68f4d2319dc09bf 100644
--- a/benchmarks/single/reconstruct.sh
+++ b/benchmarks/single/reconstruct.sh
@@ -13,7 +13,7 @@ if [ ${RECO} == "eicrecon" ] ; then
 fi
 
 if [[ ${RECO} == "juggler" ]] ; then
-  gaudirun.py options/reconstruction.py
+  gaudirun.py options/reconstruction.py || [ $? -eq 4 ]
   if [ "$?" -ne "0" ] ; then
     echo "ERROR running juggler"
     exit 1
diff --git a/benchmarks/tcs/tcs.sh b/benchmarks/tcs/tcs.sh
index 4ceb8c67fc34d68deeb1a2cabda6c22d230b0bc4..a260f78af2bb59eabca55d5a883b1b164227568a 100644
--- a/benchmarks/tcs/tcs.sh
+++ b/benchmarks/tcs/tcs.sh
@@ -146,7 +146,7 @@ if [[ -n "${DO_REC}" || -n "${DO_ALL}" ]] ; then
   fi
 
   if [[ ${RECO} == "juggler" ]] ; then
-    gaudirun.py options/reconstruction.py
+    gaudirun.py options/reconstruction.py || [ $? -eq 4 ]
     if [ "$?" -ne "0" ] ; then
       echo "ERROR running juggler"
       exit 1
diff --git a/benchmarks/u_omega/u_omega.sh b/benchmarks/u_omega/u_omega.sh
index e29810c4542d8d0507010ddbf9ecf1866510357d..095a6a1ed9880984a3f7cdb4d1479dcb7b596d15 100644
--- a/benchmarks/u_omega/u_omega.sh
+++ b/benchmarks/u_omega/u_omega.sh
@@ -90,6 +90,7 @@ echo "DETECTOR    = ${DETECTOR}"
 ## Step 1. Get the data
 if [[ -n "${DATA_INIT}" || -n "${DO_ALL}" ]] ; then
   mc -C . config host add S3 https://dtn01.sdcc.bnl.gov:9000 $S3_ACCESS_KEY $S3_SECRET_KEY
+  set +o pipefail
   mc -C . head  -n 1004  --insecure ${DATA_URL} | sanitize_hepmc3 > "${JUGGLER_MC_FILE}"
   if [[ "$?" -ne "0" ]] ; then
     echo "Failed to download hepmc file"
@@ -125,7 +126,7 @@ if [[ -n "${DO_REC}" || -n "${DO_ALL}" ]] ; then
   fi
 
   if [[ ${RECO} == "juggler" ]] ; then
-    gaudirun.py options/reconstruction.py
+    gaudirun.py options/reconstruction.py || [ $? -eq 4 ]
     if [ "$?" -ne "0" ] ; then
       echo "ERROR running juggler"
       exit 1